Skip to main content
GET
List Promotion Tiers

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Query Parameters

is_available
boolean

This parameter allows filtering promotions that are only available at the moment. When set to true, it selects only non-expired and active promotions.

limit
integer

Limits the number of objects to be returned. The limit can range between 1 and 100 items.

Required range: 1 <= x <= 100
page
integer

Which page of results to return. The lowest value is 1.

Required range: 1 <= x <= 100
order
enum<string>

Sorts the results using one of the filtering options, where the dash - preceding a sorting option means sorting in a descending order.

Available options:
created_at,
-created_at,
updated_at,
-updated_at

Response

200 - application/json

Returns a dictionary with a tiers property that contains an array of promotion tiers.

Response body schema for GET v1/promotions/{campaignId}/tiers and GET v1/promotions/tiers.

object
string
default:list

The type of the object represented by JSON. This object stores information about promotion tiers in a dictionary.

data_ref
string
default:tiers

Identifies the name of the attribute that contains the array of promotion tier objects.

tiers
Promotion Tier · object[]

Contains array of promotion tier objects.

total
integer

Total number of promotion tiers.

has_more
boolean

As query results are always limited (by the limit parameter), the has_more flag indicates if there are more records for given filter parameters. This lets you know if you can run another request to get more records returned in the results.